package com.red.circle.other.app.inner.service.sys;


import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.PageVersionDescQryCmd;
import com.red.circle.other.inner.model.cmd.sys.SysVersionUpdateDescriptionCmd;
import com.red.circle.other.inner.model.cmd.sys.VersionManageQryCmd;
import com.red.circle.other.inner.model.dto.sys.SysVersionUpdateDescriptionDTO;
import com.red.circle.other.inner.model.dto.sys.VersionManageDTO;

/**
 * <p>
 * 主播工资兑换糖果记录.
 * </p>
 *
 * @author pengshigang
 * @since 2021-10-26
 */
public interface VersionClientService {

  PageResult<SysVersionUpdateDescriptionDTO> pageDescription(PageVersionDescQryCmd cmd);

  boolean addDesc(SysVersionUpdateDescriptionCmd param);

  boolean updateDesc(SysVersionUpdateDescriptionCmd param);

  boolean deleteDesc(Long id);

  PageResult<VersionManageDTO> pageVersionManage(VersionManageQryCmd cmd);

  Boolean saveVersionManage(VersionManageDTO param);

  void deleteVersionManage(Long id);

  void updateVersionManage(VersionManageDTO param);

  void addBuildVersion(String sysOrigin, String platform, String channel, Integer buildVersion);

  Integer getBuildVersion(String sysOrigin, String platform, String channel);
}
